Please backport OpenOffice.org 3 to Hardy

Reported by Miguel on 2008-10-14
58
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Hardy Backports
High
Unassigned

Bug Description

It's possible to backport this important office suite to Hardy, as this release is a LTS?

Thanks

John Dong (jdong) wrote :

If the Openoffice.org team can put side-by-side installable openoffice.org3 packages in Intrepid or Jaunty then sure, I'd be glad to work with them on a backport to Hardy. Otherwise this is difficult for me to do alone.

Hew McLachlan (hew) wrote :

It has been mentioned in bug 267376 that it is not possible to have versioned package support. This backport will have to wait until OOo 3 is included in Jaunty.

John Dong (jdong) wrote :

Yeah, looks that way. For Intrepid due to its high demand we may be able to work with calc to get it in as a "pre-backport" on the verbal contract that a newer version will be uploaded to Jaunty (which is almost certainly the case)

Once we get it backported to Intrepid we can figure out how and if we can get it backported to Hardy. Does that sound good? :)

Hew McLachlan (hew) wrote :

A pre-backport for Intrepid would be great! With the huge demand for OOo 3 in Intrepid, it makes sense for it to have priority over the Hardy backport. I'm sure Hardy LTS users won't mind waiting a little bit to make sure the Hardy backport is stable.

John Dong (jdong) wrote :

I spoke with Chris today in detail about this, and he doesn't sound terribly confident yet that openoffice.org 3's final release is not going to have some major bugs discovered in the near future. Since he is most familiar with their release cycle and previous track record, I am going to go with his opinion on this.

since it sounds like the side-by-side installation packaging is broken beyond repair for now, I am very wary about replacing Hardy's Openoffice with a version that is not very well tested (particularly since as of now the way to uninstall a backport and revert to the regular version for complex multi-deb packages is not supported/tested). Let's wait a bit and see how Openoffice is for Hardy.

As far as Intrepid, I think we can be slightly less cautious but not that much so. Ideally it'd be nice to have a 3.0.1-type release before we go around replacing Openoffice.

Since Ubuntu uses an ooo-build brand of Openoffice some of the large benefits of OOo3 (like Office 2007 XML support) has been available in our 2.4 builds for a while. Bottom line is I don't think anyone will suffer too greatly without it for a little bit while we carefully figure out our best path forward from here.

Benjamin Thyreau (benji2) wrote :

Hi !
What is the status of backporting Office 3 to Hardy LTS ?

It's already months since it was released, and yet, people using the current (LTS) Ubuntu Desktop still can't run it while the Microsoft customers could run it month agos.

Hell, OpenOffice.org is the very software used as an example on the "backport" document page !

I'm quite intrigued that nobody mentioned it before, or did I miss something obvious ?

Yeah. I miss OpenOffice.org 3.01 for Hardy. This is office suite for
daily work. Especially for office user. Can u imagine, Windows user
always update to new version. But Ubuntu user (especially LTS), got
nothing !!! You have to remember, 3 years on desktop. But 3 years for
OpenOffice.org can be change everything.

I think Ubuntu have to consider more for some package. Especially
OpenOffice.org. I'm not talking for server. For client (especially for
office client). And yo have to know, office client (almost all) only
need browser, email and office suite. So please thinking again.

On Sun, May 24, 2009 at 3:45 AM, Benjamin Thyreau <email address hidden> wrote:
> Hi !
> What is the status of backporting Office 3 to Hardy LTS ?
>
> It's already months since it was released, and yet, people using the
> current (LTS) Ubuntu Desktop still can't run it while the Microsoft
> customers could run it month agos.
>
> Hell, OpenOffice.org is the very software used as an example on the
> "backport" document page !
>
> I'm quite intrigued that nobody mentioned it before, or did I miss
> something obvious ?
>
> --
> Please backport OpenOffice.org 3 to Hardy
> https://bugs.launchpad.net/bugs/283137
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

John Vivirito (gnomefreak) wrote :

This is a really bad idea for a few reasons.
1. Openoffice is a huge app
2. Lots of depends
3. Backporting into a LTS can introduce a lot of bugs that are un-needed.

Benjamin Thyreau (benji2) wrote :

Hi,

Thanks for your quick answer !

Are you seriously suggesting that customers using Ubuntu (LTS) on their desktop will not be able to use OpenOffice.org 3 ? And that "This is a really bad idea" that Ubuntu customer can't run Office 3 ? What do you suggest people/companies using Hardy LTS (e.g. on Ubuntu DELL's) should do then ?

Not having Openoffice.org is more of a major bug IMHO.. Isn't it a major turn in Ubuntu policies (starting with this very group, as backporting Office is exactly what is first stated as the fundamental document https://help.ubuntu.com/community/UbuntuBackports )

In any case, it this an official position from Ubuntu or Canonical ? This may have potentially large impact, should i kindly remember that most (non-geek) people/companies would choose an OS merely as mean to run the Office suite.

I'm slightly puzzled now..

Yes. U right, Benjamin. I think the policy so weird for me. LTS not
get update the important software for daily office working???? It's
for daily working, right?

Please, don't thinking only for server. This is for desktop. And many2
company want to use this. Why Windows always get update the last
version. But for Ubuntu, we hvn't yet?

I'm worry about this. Some of our user asking because Windows user
already hv OO3.1. But LTS still 2.4. Is this Ubuntu? Special for old
software?

Come on ...

On Mon, May 25, 2009 at 2:59 AM, Benjamin Thyreau <email address hidden> wrote:
> Hi,
>
> Thanks for your quick answer !
>
> Are you seriously suggesting that customers using Ubuntu (LTS) on their
> desktop will not be able to use OpenOffice.org 3 ? And that "This is a
> really bad idea" that Ubuntu customer can't run Office 3 ? What do you
> suggest people/companies using Hardy LTS (e.g. on Ubuntu DELL's) should
> do then ?
>
> Not having Openoffice.org is more of a major bug IMHO.. Isn't it a major
> turn in Ubuntu policies (starting with this very group, as backporting
> Office is exactly what is first stated as the fundamental document
> https://help.ubuntu.com/community/UbuntuBackports )
>
> In any case, it this an official position from Ubuntu or Canonical ?
> This may have potentially large impact, should i kindly remember that
> most (non-geek) people/companies would choose an OS merely as mean to
> run the Office suite.
>
> I'm slightly puzzled now..
>
> --
> Please backport OpenOffice.org 3 to Hardy
> https://bugs.launchpad.net/bugs/283137
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Get "Ubuntu Server Guide" inside your Ubuntu desktop:
Help and Support -> Advanced Topics -> Installing Server Applications
[http://rippingthepenguin.blogspot.com]

pranith (bobby-prani) wrote :

I think the request is reasonable. We should be able to pull this off without causing much pain. OpenOffice is too important a program to be running an older version, not to say for the next ~2 years. This is just not going to work for Desktop people. I think we should really concentrate on this.

Changed in hardy-backports:
importance: Undecided → High
John Vivirito (gnomefreak) wrote :

On 05/24/2009 03:59 PM, Benjamin Thyreau wrote:
> Hi,
>
> Thanks for your quick answer !
>
> Are you seriously suggesting that customers using Ubuntu (LTS) on their
> desktop will not be able to use OpenOffice.org 3 ? And that "This is a
> really bad idea" that Ubuntu customer can't run Office 3 ? What do you
> suggest people/companies using Hardy LTS (e.g. on Ubuntu DELL's) should
> do then ?
>
> Not having Openoffice.org is more of a major bug IMHO.. Isn't it a major
> turn in Ubuntu policies (starting with this very group, as backporting
> Office is exactly what is first stated as the fundamental document
> https://help.ubuntu.com/community/UbuntuBackports )
>
> In any case, it this an official position from Ubuntu or Canonical ?
> This may have potentially large impact, should i kindly remember that
> most (non-geek) people/companies would choose an OS merely as mean to
> run the Office suite.
>
> I'm slightly puzzled now..
>
This is a personal opinion that is why my statement,
I was looking over the deps for it and it seems the mass
are suggests not depends.
Doesn't Chris have 3.0 for Hardy in PPA?
If not maybe get it on there and have tests
run before backporting it?

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Josh Lucien (katakaio) wrote :

I didn't see 3.0 in the Ubuntu Backporters or the Ubuntu Backports
Testing Team PPAs. I would gladly test and tweak it if it means LTS
users could have 3.0! Maybe it's time to dust off prevu . . .

- Josh

John Vivirito wrote:
> This is a personal opinion that is why my statement,
> I was looking over the deps for it and it seems the mass
> are suggests not depends.
> Doesn't Chris have 3.0 for Hardy in PPA?
> If not maybe get it on there and have tests
> run before backporting it?
>
>

On Mon, May 25, 2009 at 9:32 PM, Josh Ellis <email address hidden> wrote:
> I didn't see 3.0 in the Ubuntu Backporters or the Ubuntu Backports
> Testing Team PPAs. I would gladly test and tweak it if it means LTS
> users could have 3.0! Maybe it's time to dust off prevu . . .
>
> - Josh
>

Before I got OO3.01 from openoffifce-pkgs PPA
And now already change to OO3.1

--
Get "Ubuntu Server Guide" inside your Ubuntu desktop:
Help and Support -> Advanced Topics -> Installing Server Applications
[http://rippingthepenguin.blogspot.com]

John Vivirito (gnomefreak) wrote :

On 05/25/2009 10:32 AM, Josh Ellis wrote:
> I didn't see 3.0 in the Ubuntu Backporters or the Ubuntu Backports
> Testing Team PPAs. I would gladly test and tweak it if it means LTS
> users could have 3.0! Maybe it's time to dust off prevu . . .
>
> - Josh
>
> John Vivirito wrote:
>> This is a personal opinion that is why my statement,
>> I was looking over the deps for it and it seems the mass
>> are suggests not depends.
>> Doesn't Chris have 3.0 for Hardy in PPA?
>> If not maybe get it on there and have tests
>> run before backporting it?
>>
>>
>
It is in Chris' PPA not backport*.
https://launchpad.net/~openoffice-pkgs/+archive/ppa
That link will help you set up that repo.
--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Josh Lucien (katakaio) wrote :

Lutfi wrote:
> Before I got OO3.01 from openoffifce-pkgs PPA
> And now already change to OO3.1
>
John Vivirito wrote:

> It is in Chris' PPA not backport*.
> https://launchpad.net/~openoffice-pkgs/+archive/ppa
> That link will help you set up that repo.

Thank you both! I'll score a copy soon and begin testing it. Wish me
luck . . .

- Josh

Benjamin Thyreau (benji2) wrote :

Hi,
Just upgraded from the ppa today, currently running 1:3.1.0-3ubuntu2~hardy1. Seems to work correctly, at first sight, including, for example, loading a presentation with an .avi mpeg (nosound) video in it. Spell-check works correctly in the correct language. Gnome open dialog works perfectly. Export pdf works correctly too.

The splash screen artwork still displays "3.0", still

Is there any other ubuntu-specific part needing particular testing ?

Mark Fraser (launchpad-mfraz) wrote :

As there is no openoffice.org-kde package in Karmic and if there was it would be for KDE4, I've had to remove the package in order to install 3.1.

Mark Fraser (launchpad-mfraz) wrote :

For now I'm using openoffice.org-gtk on KDE until/if there is a kde package.

Any news for this?

On Wed, Jun 3, 2009 at 3:43 PM, Mark
Fraser<email address hidden> wrote:
> For now I'm using openoffice.org-gtk on KDE until/if there is a kde
> package.
>
> --
> Please backport OpenOffice.org 3 to Hardy
> https://bugs.launchpad.net/bugs/283137
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Benjamin Thyreau (benji2) wrote :

Hi,

Thanks for your hard work.

Not that i want to insist, but what exactly is the status about that ?
Currently there are some good-working Office 3.1 packages for LTS on the PPA.
But, according to https://launchpad.net/ubuntu/+source/openoffice.org , Hardy users are still expected to use an outdated version.
What is the plan to push current version for our (non-geek, LTS) users ? Or did i miss something ?

I expect real-world users are confused now.

Should i still reiterates my thanks to everyone from ubuntu-backport, the team who makes Ubuntu an actually real competitive product for non-tech-enthusiast users !

I see Debian Lenny already have backport OpenOffice.org 3.1
Here the link:

http://tuxarena.blogspot.com/2009/08/how-to-install-openoffice-31-in-debian.html

Any new for Hardy?

On Mon, Jul 13, 2009 at 5:09 PM, Benjamin Thyreau<email address hidden> wrote:
> Hi,
>
> Thanks for your hard work.
>
> Not that i want to insist, but what exactly is the status about that ?
> Currently there are some good-working Office 3.1 packages for LTS on the PPA.
> But, according to https://launchpad.net/ubuntu/+source/openoffice.org , Hardy users are still expected to use an outdated version.
> What is the plan to push current version for our (non-geek, LTS) users ? Or did i miss something ?
>
> I expect real-world users are confused now.
>
> Should i still reiterates my thanks to everyone from ubuntu-backport,
> the team who makes Ubuntu an actually real competitive product for non-
> tech-enthusiast users !
>
> --
> Please backport OpenOffice.org 3 to Hardy
> https://bugs.launchpad.net/bugs/283137
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

csola48 (mail-csordaslaszlo) wrote :

Lutfi írta:
> I see Debian Lenny already have backport OpenOffice.org 3.1
> Here the link:
>
> http://tuxarena.blogspot.com/2009/08/how-to-install-openoffice-31-in-
> debian.html
>
> Any new for Hardy?
>
https://launchpad.net/~openoffice-pkgs/+archive/ppa ?

csola

On Sun, Aug 23, 2009 at 3:32 PM, warp<email address hidden> wrote:
> https://launchpad.net/~openoffice-pkgs/+archive/ppa  ?
>
> csola
>

That's not backports, dear
Also openoffice-pkgs 3.1 version have some bugs still not fix until today

Karoly Molnar (karoly-molnar) wrote :

The OOO3.1.1 packages are available only for Jaunty in the https://launchpad.net/~openoffice-pkgs/+archive/ppa repository and the 3.1 packages for Hardy are not available any more. Is there a way to get the 3.1 packages for Hardy? Is there going to be a 3.1.1 release for Hardy?

Thanks,
Karoly

Actually I'm disappointed with Ubuntu Hardy. Although have label LTS,
but it's never get update of OpenOffice.org 3.x. I'm truly not believe
if my office client have to wait 3 years to use OpenOffice.org 3.x.

I already try from openoffice-pkgs (PPA). But it's not good enough.
Some bug still live and not wise if using on office client. Cause this
bug will annoying user. And the last version, there is no support for
Hardy anymore.

I see lenny-backports (Debian) have this new version. But why Ubuntu
silent like this. Well... any good anwer about this???

Also a lot of new software, never put attention on hardy/LTS. So..
this is truly bad experience. I want hardy/LTS, but very often found
there is no new version software for hardy.

So? What's mean with LTS anyway??? Just for server only to get long
support? And client no need to get new openoffice.org update??? While
windows XP user still get every update for OpenOfice.org for Windows.

On Fri, Sep 11, 2009 at 1:17 AM, Karoly Molnar <email address hidden> wrote:
> The OOO3.1.1 packages are available only for Jaunty in the
> https://launchpad.net/~openoffice-pkgs/+archive/ppa repository and the
> 3.1 packages for Hardy are not available any more. Is there a way to get
> the 3.1 packages for Hardy? Is there going to be a 3.1.1 release for
> Hardy?
>
> Thanks,
> Karoly
>

AlanRick (alanrick) wrote :

I'm a still trying to understand what Ubuntu is about but I can't help noticing the irony of Ubuntu backport documentation using OpenOffice as the example of what backport is about.

UbuntuBackports
"if Ubuntu ships with OpenOffice.org 2.0.x, ..... This is where Ubuntu Backports comes in. "

So it's ironic that the most relevant release (LTS) has no plans for the most relevant package - OpenOffice.

Gratefully,
Alan

dr.spock (dr.spock) wrote :

I have had OpenOffice 3.1.0-5ubuntu1~hardy1 installed in Ubuntu Hardy i386, but but some automatic update have unistalled most of the packages and now there are no openoffice 3 packages in the ppa repo.

How can I get them installed again? It seems they are only available for Jaunty!

Bill Stewart (billstew) wrote :

Just a note that unavailability of this is really painful for us, and increasingly hard to explain. We are baselined on LTS, and our customers have to have OO 3.1, preferably 3.1.1, since it is such a step forward wrt bug fixes and interoperability with MS Office.

I also second the comment about expectations: "if Ubuntu ships with OpenOffice.org 2.0.x, ..... This is where Ubuntu Backports comes in. "

I'd think that OpenOffice is the most important application in Ubuntu to most users, and if LTS is to be relied on, this is the most important issue for Hardy. Our input is to suggest allocation of whatever resources are required to treat this as a highest priority issue.

Could someone feedback the current status and schedule?

Bill Stewart (billstew) wrote :

According to the following page the holdup on support of more than Jaunty is simply lack of computer resources to build fast enough to support more than release. If anyone from Canonical is monitoring this thread (is anyone?) perhaps this is an area that you could contribute at very low cost for large value?

https://launchpad.net/~openoffice-pkgs/+archive/ppa

Any feedback at all on any aspect of this issue from a Canonical person would be greatly appreciated.

Benjamin Thyreau (benji2) wrote :

Hi again,
I could only second the above posts.

How could the fact that the current (LTS, aka non-geek) version of a general-user oriented distribution is unable to run office software be anything else than a *showstopper* bug ?

I personnally wouldn't point to the backport-team on that, since deploying to the _current_ real-world LTS can therefore not be called a "backport".

If really the distribution is unable to provides non-geek End User with such fundamental need as running the office suite (which would be too bad, and a major shift of policy for the whole Ubuntu project), it really should be transparent and clearly written on the Ubuntu download website, in order for normal Ubuntu users not too feel "tricked" like the people posting above must feel now.

(of course, if LTS would better conform to LSB standards, downloading & installing directly from the OpenOffice.org author's instead of relying on third-party team would not be such an impossible task and the world would be a better place)

Bill Stewart (billstew) wrote :

Hi, I marked this as duplicate of https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/267376 since that appears to be the main item, with many other duplicates pointed at it, and it was updated in the past few days changing the status from incomplete to new.

Let us hope and pray that this strange situation gets resolved very, very soon. I continue to run into enormous trouble explaining the value of Ubuntu LTS releases when the most important end-user application OpenOffice is not upgraded after such a great length of time.

Bill Stewart (billstew) wrote :

Ooops, I linked this by mistake. Bug 267376 is actually about Intrepid, much less important than Hardy which is promoted to the world as an LTS release.

I don't know how to unduplicate this - please do so if you do.

And if you can communicate with Mark Shuttleworth directly, please raise this increasingly negative issue for the entire Ubuntu LTS concept to his level.

Benjamin Thyreau (benji2) wrote :

Hi,
You're right that the other bugreport is about minor (non-LTS) distro, That's why i de-deplicated it.
Also that this bugreport has already been set to "High" (i would have set it to "critical" if it were up to me...)

Mark Shuttleworth (sabdfl) wrote :

I am subscribed to this bug, and don't see any need to influence the
process. LTS does not imply backporting of major releases of major
components, it implies long term maintenance of the release.

By all means, you are welcome to contribute energy to the -backports
effort which is community-lead.

Mark

John Dong (jdong) wrote :

Thanks, Mark, for chiming in.

Indeed LTS does not imply that every major piece of newly released software will be backported, nor is the Backports team interested in trying to do so if it means sacrificing the stability or supportability of the OS...

To move this forward, in my mind:

(1) We don't need any more comments about why we need to move this forward. We understand that generally, folks would like to have the newest OpenOffice release.

(2) Any additional dependencies needed to build OpenOffice on Hardy should be tracked down for us to decide if they are appropriate to bring in.

(3) Furthermore, someone needs to step up to the plate in terms of promising that the (somewhat frequent) security fixes to OpenOffice will be backported too.

A good first step is to attempt to get Karmic's OpenOffice building in a Hardy PPA with as few dependency backports as possible.

P.S. I saw no evidence that the reason there isn't a Hardy OpenOffice backport is a lack of computational resources to build it. Chris's PPA states that he has limited time to maintain packages for all supported releases, which is understandably the case.

John Vivirito (gnomefreak) wrote :

On 10/05/2009 10:37 AM, John Dong wrote:
> Thanks, Mark, for chiming in.
>
> Indeed LTS does not imply that every major piece of newly released
> software will be backported, nor is the Backports team interested in
> trying to do so if it means sacrificing the stability or supportability
> of the OS...
>
>
> To move this forward, in my mind:
>
> (1) We don't need any more comments about why we need to move this
> forward. We understand that generally, folks would like to have the
> newest OpenOffice release.
>
> (2) Any additional dependencies needed to build OpenOffice on Hardy
> should be tracked down for us to decide if they are appropriate to bring
> in.
>
> (3) Furthermore, someone needs to step up to the plate in terms of
> promising that the (somewhat frequent) security fixes to OpenOffice will
> be backported too.
>
>
> A good first step is to attempt to get Karmic's OpenOffice building in a Hardy PPA with as few dependency backports as possible.
>
>
> P.S. I saw no evidence that the reason there isn't a Hardy OpenOffice backport is a lack of computational resources to build it. Chris's PPA states that he has limited time to maintain packages for all supported releases, which is understandably the case.
>
Backports are not supported so why not keep them in a PPA
since PPA's are not supported? This package is alot of work to
backport from 9.10 -> 8.04. Alot of major changes in 3
releases and trying to get someone to maintain it with
security fixes is going to be hard as well.
Not sure how often OO.o releases security fixes but i can
imagine ~ 1 time a month maybe 1 every 2 months.
If you are going to back port it than i suggest waiting for
10.04 since 9.10 dev cycle is about done.
Most pakcages related (depends/rdepends) are suggests. The
ones that are depends/rdepends are OO.o packages. I have to
assume that they are built with openoffice.org source. however
each one of those needs to be checked.
Please dont hold me to this since i may be gone for ~3months
but i may look at this for 10.04 i just rather see it in PPA.
Its easier to support security releases (use a bot like
Mozilla team does for dailies) and skips all the red tape of
trying to get it in repos

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

John Dong (jdong) wrote :

Mozilla Team dailies are in a PPA because they are experimental in nature; OpenOffice 3.1 has no reason to be unless the process of backporting it requires some insane procedure that makes them unsuitable for Backports' quality standards.

The "red tape" to get it into Backports is solely demonstrating the ability to make the package in such a way that it doesn't unleash hell upon the users; the value of having it in backports instead of a PPA for the users is the peace of mind that comes with knowing that the Ubuntu team has deemed the package suitable for general adoption.

Once the initial package is made, I don't imagine that backporting security fixes to it will constitute major work. However, the same could be said about our previous, say, Firefox backports but security fixes for those fell through the cracks as users became generally disinterested in the packages.

Bill Stewart (billstew) wrote :

Eseri does not have the ability to provide technical help, but can provide modest funding, and would be glad to contribute US$1000 if it would help. We encourage others to step forward as well. We don't need any paperwork, just a paypal address or other delivery channel and will send this immediately if a responsible party thinks it will assist. If this is not the right forum for this offer, please redirect me to the proper one.
Cheers,
Bill Stewart
Eseri CEO
http://Eseri.net/

2009/10/5 John Dong <email address hidden>:
> (3) Furthermore, someone needs to step up to the plate in terms of
> promising that the (somewhat frequent) security fixes to OpenOffice will
> be backported too.

Isn't that what LTS means? That the stability and security of the
distro is assured for a longer period? So how can it be that security
fixes in OOo are not being backported already now?

John Dong (jdong) wrote :

Yes, the version of OpenOffice shipped with Hardy LTS does have 3 year guaranteed security updates.

I was saying that if a backport is done of a newer OpenOffice version, we need to make sure someone is willing to provide the same guarantee.

John Vivirito (gnomefreak) wrote :

On 10/05/2009 12:06 PM, John Dong wrote:
> Mozilla Team dailies are in a PPA because they are experimental in
> nature; OpenOffice 3.1 has no reason to be unless the process of
> backporting it requires some insane procedure that makes them unsuitable
> for Backports' quality standards.
>
> The "red tape" to get it into Backports is solely demonstrating the
> ability to make the package in such a way that it doesn't unleash hell
> upon the users; the value of having it in backports instead of a PPA for
> the users is the peace of mind that comes with knowing that the Ubuntu
> team has deemed the package suitable for general adoption.
>
>
> Once the initial package is made, I don't imagine that backporting security fixes to it will constitute major work. However, the same could be said about our previous, say, Firefox backports but security fixes for those fell through the cracks as users became generally disinterested in the packages.
>
We also have a stable PPA that has a bot running it IIRC.
We dont backport Mozilla apps due to the depends and such.

Is packaging OO.o any different than any other app? It
shouldnt be but i havent had to build it yet.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

John Vivirito (gnomefreak) wrote :

On 10/05/2009 06:27 PM, Duncan Lithgow wrote:
> 2009/10/5 John Dong <email address hidden>:
>> (3) Furthermore, someone needs to step up to the plate in terms of
>> promising that the (somewhat frequent) security fixes to OpenOffice will
>> be backported too.
>
> Isn't that what LTS means? That the stability and security of the
> distro is assured for a longer period? So how can it be that security
> fixes in OOo are not being backported already now?
>
Major releases are not security releases.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

John Vivirito (gnomefreak) wrote :

On 10/05/2009 04:25 PM, Bill Stewart wrote:
>
> Eseri does not have the ability to provide technical help, but can provide modest funding, and would be glad to contribute US$1000 if it would help. We encourage others to step forward as well. We don't need any paperwork, just a paypal address or other delivery channel and will send this immediately if a responsible party thinks it will assist. If this is not the right forum for this offer, please redirect me to the proper one.
> Cheers,
> Bill Stewart
> Eseri CEO
> http://Eseri.net/
>
Not sure what you are talking about in this. money is not for
bug reports maybe try ubuntuforums.com

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Benjamin Thyreau (benji2) wrote :

I think Bill's comment was kindly trying to work-around the silly "Please contribute"-style answer - as it is obvious that Normal end-users can not tweak inside the technical of an operating system, simply to have an Office suite installed on their "Long Time Supported" Desktop OS.

Benjamin Thyreau (benji2) wrote :

Pushing the problem forward, i have opened a separate bugreport to what is, IMHO, the core issue which tricked many users and lead to unfortunate deployment :
https://bugs.launchpad.net/hardy-backports/+bug/445460
That way, this bugreport can concentrate back on the backport technical topic.

Karoly Molnar (karoly-molnar) wrote :

Can we get the old 3.0.x packages for Hardy back somehow? I'd be happy with those temporarily.

Thanks,
Karoly

Bill Stewart (billstew) wrote :

I second the above comment - the Hardy 3.0 packages were available for a brief period (couple weeks?), and we actually have it installed on some Hardy desktops. With very minor acceptable issues, I have personally been working well with it for about a month. However, for some reason the packages were disappeared. Since we never thought that would happen we neglected to keep a copy.

Bringing back availability of exactly the Hardy OO 3.0 packages that were available a month ago would be a good workaround.

Our pain is ours, but it is very high. If there is *any* way this can be made available today, it would be greatly appreciated.

Bill Stewart
Eseri CEO
http://Eseri.net/

John Vivirito (gnomefreak) wrote :

On 10/08/2009 08:43 AM, Karoly Molnar wrote:
> Can we get the old 3.0.x packages for Hardy back somehow? I'd be happy
> with those temporarily.
>
> Thanks,
> Karoly
>
were they not built in the OO.o PPA? I thought Chris had 3.0
in the PPA. I will see if i can get started on the version in
Karmic. I'm also hearing its a nightmare but we will see, i
just need to build a chroot for Hardy today or tomorrow. I
will update this bug when its built and ready

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Karoly Molnar (karoly-molnar) wrote :

The 3.0 packages were available for Hardy, Intrepid and Jaunty in the PPA for a while and when Chris uploaded the 3.1 package the 3.0 packages got removed and right now there are no packages for either Hardy or Intrepid in the PPA. If those are floating somewhere around I'd very much like to put my dirty hand on them ;-)

Thanks,
Karoly

John Vivirito (gnomefreak) wrote :

On 10/08/2009 05:06 PM, Karoly Molnar wrote:
> The 3.0 packages were available for Hardy, Intrepid and Jaunty in the
> PPA for a while and when Chris uploaded the 3.1 package the 3.0 packages
> got removed and right now there are no packages for either Hardy or
> Intrepid in the PPA. If those are floating somewhere around I'd very
> much like to put my dirty hand on them ;-)
>
> Thanks,
> Karoly
>
I ran into a time crunch for today and tomorrow a little while
ago so if no one touches it before next week ill get to it
next week

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Bill Stewart (billstew) wrote :

I'm dying here. Absolutely dying. The life is draining out of my body by the second. My veins are turning white.

I've pushed back a first customer repeatedly, on which all our future business success depends, and cannot delay past Monday. If we don't have OO3 installed this weekend on Hardy, bringing an essential interoperability that 2.4 does not, it will have enormously bad impacts on my company, my employees, and my ability to push Ubuntu into the cloud to make the world a better place for the great benefit of Ubuntu and FOSS in general.

All we need to survive is the existing Hardy 3.0 packages. The ones that were available only a few weeks ago.

I will name my next son Vivirito if you can simply post, without any other effort, those existing packages back somewhere we can download them no later than tomorrow Friday.

Please, please, please, please, please.

Bill Stewart
Eseri CEO
http://Eseri.net/

Mantas Kriaučiūnas (mantas) wrote :

Information for all, who wanna have OpenOffice.org 3 in Hardy:

OpenOffice.org 3.0.1 packages for Ubuntu 8.04 LTS (Hardy) are available
in Baltix GNU/Linux repository:

http://launchpad.net/~baltix-members/+archive

These packages are copied from openoffice-pkgs PPA some time ago, before
someone removed them from openoffice-pkgs PPA ;)

I wish you good business with Ubuntu and OpenOffice :)

P.S. To Bill Steward: please name your next soon Chris, AFAIK he made these packages ;)
Also please write me a private email after you install OpenOffice.org 3
packages into Ubuntu 8.04 (Hardy).

On Fri, Oct 09, 2009 at 12:09:47AM -0000, Bill Stewart wrote:
> I've pushed back a first customer repeatedly, on which all our future
> business success depends, and cannot delay past Monday. If we don't
> have OO3 installed this weekend on Hardy, bringing an essential
> interoperability that 2.4 does not, it will have enormously bad impacts
> on my company, my employees, and my ability to push Ubuntu into the
> cloud to make the world a better place for the great benefit of Ubuntu
> and FOSS in general.
>
> I will name my next son Vivirito if you can simply post, without any
> other effort, those existing packages back somewhere we can download
> them no later than tomorrow Friday.
>
> Bill Stewart
> Eseri CEO http://Eseri.net/

--
Labanaktis/Good luck,
Mantas Kriaučiūnas Jabber ID: <email address hidden> GPG ID: 43535BD5
Public organization "Open Source for Lithuania" - www.akl.lt
Geriausios biuro programos verslui ir namams - http://openoffice.lt
Naudok Baltix GNU/Linux sistemą savo kompiuteryje - http://baltix.lt

John Vivirito (gnomefreak) wrote :

On 10/08/2009 09:17 PM, Mantas Kriaučiūnas wrote:
> Information for all, who wanna have OpenOffice.org 3 in Hardy:
>
> OpenOffice.org 3.0.1 packages for Ubuntu 8.04 LTS (Hardy) are available
> in Baltix GNU/Linux repository:
>
> http://launchpad.net/~baltix-members/+archive
>
> These packages are copied from openoffice-pkgs PPA some time ago, before
> someone removed them from openoffice-pkgs PPA ;)
>
> I wish you good business with Ubuntu and OpenOffice :)
>
> P.S. To Bill Steward: please name your next soon Chris, AFAIK he made these packages ;)
> Also please write me a private email after you install OpenOffice.org 3
> packages into Ubuntu 8.04 (Hardy).
>
> On Fri, Oct 09, 2009 at 12:09:47AM -0000, Bill Stewart wrote:
>> I've pushed back a first customer repeatedly, on which all our future
>> business success depends, and cannot delay past Monday. If we don't
>> have OO3 installed this weekend on Hardy, bringing an essential
>> interoperability that 2.4 does not, it will have enormously bad impacts
>> on my company, my employees, and my ability to push Ubuntu into the
>> cloud to make the world a better place for the great benefit of Ubuntu
>> and FOSS in general.
>>
>> I will name my next son Vivirito if you can simply post, without any
>> other effort, those existing packages back somewhere we can download
>> them no later than tomorrow Friday.
>>
>> Bill Stewart
>> Eseri CEO http://Eseri.net/
>
oh good thanks for finding that now i can work on other things :)

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Bill Stewart (billstew) wrote :

Thanks so much! We'll follow-up and let the list know when we have success, to confirm others could use this as well.

Mark Shuttleworth (sabdfl) wrote :

Great result - thanks all!

Bill Stewart (billstew) wrote :

We installed OpenOffice from the packages provided by http://launchpad.net/~baltix-members/+archive , and it is working great on Hardy.

Many thanks to Chris and Mantas!

One more step along the road.

Benjamin Thyreau (benji2) wrote :

Hi,
As i was confronted again today to the need to install Office 3 to some users (who could do it easily on MSWin, but not on Ubuntu), i wondered if there was a place where the previously-available build could be retrieved ?
Reinstalling a whole OS or manually fixing the common upgrade problem is not an option for non-geek users; and those users are therefore still stuck on Office 2.4 - which lacks features from 3.0 which are increasingly required. The above-mentioned packages disappeared from the PPA, and i'm now quite unsure on what to do.
(Also, as a side note, I'd be really happy to be pointed to "real world" usage of Desktop Ubuntu stories, to grasp how to handle that major, showstopping, issue)

Bill Stewart (billstew) wrote :

Hi Benjamin, please read upwards and see comment #53 of this bug, where Mantas has very kindly made an archived copy of the OpenOffice 3.0 for Hardy available, captured before it was "disappeared". We have deployed this to several systems now, and it works great. (Note to those that are wondering why simply upgrading Ubuntu is not always the best choice: for integrated systems where Ubuntu Hardy is one part of a more complex system that *has* to be enterprise production stable at all times, upgrading Ubuntu is multiples more complex than when it stands alone, and therefore remaining on the earlier LTS version is sometimes essential until the new LTS comes out.)

OpenOffice.org has announced EOL for all versions of 2.x (http://www.openoffice.org/servlets/ReadMsg?listName=announce&msgNo=407). Is there any commitment to continue support for OO 2.x without upstream fixes?

Nandan Vaidya (gotunandan) wrote :

You may use this PPA repository as it contains OpenOffice.org 3.1.1 for Hardy

https://edge.launchpad.net/~openoffice-pkgs/+archive/ppa/

Thanks!

One afterthought: The fundamental issues surrounding this problem aren't fixed by adding more and more PPAs for Open Office: This is still a long shot from proper "long term support". More in my <a href=https://bugs.launchpad.net/hardy-backports/+bug/445460/comments/7>comment</a> for https://bugs.launchpad.net/hardy-backports/+bug/445460.

pranith (bobby-prani) wrote :

Closing this bug as there is no activity now. Please re-open if you feel that this still needs attention.

Changed in hardy-backports:
status: New → Confirmed
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers